#ifndef ___FRAME0_H
#define ___FRAME0_H
extern void _frame0();
extern int _CurrentFrame;
extern void FreeCurrentFrame();
extern void hmi_GotoFrame(int nFrame);
extern void hmi_TimerTrigger();
extern void hmi_TurnBacklight(int bOn);
extern int g_TimerTicksCount;

extern void OnHotSpotWidget45Click(tWidget *pWidget);

extern void OnHotSpotWidget46Click(tWidget *pWidget);

extern tCheckBoxWidget CheckBoxWidget57;
extern void OnCheckBoxWidget57CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget59;
extern void OnCheckBoxWidget59CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget60;
extern void OnCheckBoxWidget60CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget62;
extern void OnCheckBoxWidget62CheckChange(tWidget *pWidget, unsigned long bSelected);

extern void OnHotSpotWidget29Click(tWidget *pWidget);

extern void OnHotSpotWidget47Click(tWidget *pWidget);

extern void OnHotSpotWidget50Click(tWidget *pWidget);

extern tCheckBoxWidget CheckBoxWidget54;
extern void OnCheckBoxWidget54CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget56;
extern void OnCheckBoxWidget56CheckChange(tWidget *pWidget, unsigned long bSelected);

extern void OnHotSpotWidget48Click(tWidget *pWidget);

extern void OnHotSpotWidget49Click(tWidget *pWidget);

extern tCheckBoxWidget CheckBoxWidget51;
extern void OnCheckBoxWidget51CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget68;
extern void OnCheckBoxWidget68CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget70;
extern void OnCheckBoxWidget70CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget72;
extern void OnCheckBoxWidget72CheckChange(tWidget *pWidget, unsigned long bSelected);

extern void OnHotSpotWidget28Click(tWidget *pWidget);

extern void OnFrame12Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame241Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame343Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame427Paint(tWidget *pWidget, tContext *pContext);

extern tCanvasWidget CanvasFrame1;
extern tCanvasWidget CanvasFrame2;
extern tCanvasWidget CanvasFrame3;
extern tCanvasWidget CanvasFrame4;

extern void InitWidget1();
extern void InitWidget2();
extern void InitWidget3();
extern void InitWidget4();

extern void FreeWidget1();
extern void FreeWidget2();
extern void FreeWidget3();
extern void FreeWidget4();


extern void _frame1();
extern void _frame2();
extern void _frame3();
extern void _frame4();

#endif
